Bug 1003446 - [abrt] desktopcouch-1.0.7-4.fc19: connection.py:651:call_blocking:DBusException: org.freedesktop.DBus.Error.Spawn.ChildExited: Process /usr/bin/desktopcouch-service exited with status 1
[abrt] desktopcouch-1.0.7-4.fc19: connection.py:651:call_blocking:DBusExcepti...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: desktopcouch (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christopher Meng
Fedora Extras Quality Assurance
abrt_hash:97080fbf5c31a55895a989d28c9...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-02 00:10 EDT by Ken-ichi Satoh
Modified: 2013-09-22 20:42 EDT (History)
1 user (show)

See Also:
Fixed In Version: desktopcouch-1.0.8-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-16 20:25:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.87 KB, text/plain)
2013-09-02 00:10 EDT, Ken-ichi Satoh
no flags Details
File: dso_list (71 bytes, text/plain)
2013-09-02 00:10 EDT, Ken-ichi Satoh
no flags Details
File: environ (2.05 KB, text/plain)
2013-09-02 00:10 EDT, Ken-ichi Satoh
no flags Details

  None (edit)
Description Ken-ichi Satoh 2013-09-02 00:10:26 EDT
Version-Release number of selected component:
desktopcouch-1.0.7-4.fc19

Additional info:
reporter:       libreport-2.1.6
cmdline:        /usr/bin/python /bin/desktopcouch-get-port
executable:     /bin/desktopcouch-get-port
kernel:         3.10.9-200.fc19.x86_64
runlevel:       N 5
type:           Python
uid:            0

Truncated backtrace:
connection.py:651:call_blocking:DBusException: org.freedesktop.DBus.Error.Spawn.ChildExited: Process /usr/bin/desktopcouch-service exited with status 1

Traceback (most recent call last):
  File "/bin/desktopcouch-get-port", line 38, in <module>
    PORT = platform.find_port()
  File "/usr/lib/python2.7/site-packages/desktopcouch/application/platform/__init__.py", line 48, in find_port
    return platform_find_port(pid, ctx)
  File "/usr/lib/python2.7/site-packages/desktopcouch/application/platform/linux/__init__.py", line 100, in platform_find_port
    proxy = bus.get_object('org.desktopcouch.CouchDB', '/')
  File "/usr/lib/python2.7/site-packages/dbus/bus.py", line 241, in get_object
    follow_name_owner_changes=follow_name_owner_changes)
  File "/usr/lib/python2.7/site-packages/dbus/proxies.py", line 248, in __init__
    self._named_service = conn.activate_name_owner(bus_name)
  File "/usr/lib/python2.7/site-packages/dbus/bus.py", line 180, in activate_name_owner
    self.start_service_by_name(bus_name)
  File "/usr/lib/python2.7/site-packages/dbus/bus.py", line 278, in start_service_by_name
    'su', (bus_name, flags)))
  File "/usr/lib/python2.7/site-packages/dbus/connection.py", line 651, in call_blocking
    message, timeout)
DBusException: org.freedesktop.DBus.Error.Spawn.ChildExited: Process /usr/bin/desktopcouch-service exited with status 1

Local variables in innermost frame:
byte_arrays: False
self: <dbus._dbus.SessionBus (session) at 0x1993e90>
args: ('org.desktopcouch.CouchDB', 0)
object_path: '/org/freedesktop/DBus'
signature: 'su'
bus_name: 'org.freedesktop.DBus'
get_args_opts: {'byte_arrays': False, 'utf8_strings': False}
timeout: -1.0
kwargs: {}
dbus_interface: 'org.freedesktop.DBus'
message: <dbus.lowlevel.MethodCallMessage path: /org/freedesktop/DBus, iface: org.freedesktop.DBus, member: StartServiceByName dest: org.freedesktop.DBus>
method: 'StartServiceByName'
Comment 1 Ken-ichi Satoh 2013-09-02 00:10:30 EDT
Created attachment 792711 [details]
File: backtrace
Comment 2 Ken-ichi Satoh 2013-09-02 00:10:33 EDT
Created attachment 792712 [details]
File: dso_list
Comment 3 Ken-ichi Satoh 2013-09-02 00:10:35 EDT
Created attachment 792713 [details]
File: environ
Comment 4 Christopher Meng 2013-09-05 10:31:41 EDT
Only thing I can do is to update to its latest version.

Upstream has terminated this tool for years.

See: https://lists.ubuntu.com/archives/ubuntu-desktop/2011-November/003486.html
Comment 5 Fedora Update System 2013-09-05 19:02:04 EDT
desktopcouch-1.0.8-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/desktopcouch-1.0.8-1.fc18
Comment 6 Fedora Update System 2013-09-05 19:02:51 EDT
desktopcouch-1.0.8-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/desktopcouch-1.0.8-1.fc19
Comment 7 Fedora Update System 2013-09-05 19:04:10 EDT
desktopcouch-1.0.8-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/desktopcouch-1.0.8-1.fc20
Comment 8 Fedora Update System 2013-09-06 13:24:46 EDT
Package desktopcouch-1.0.8-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing desktopcouch-1.0.8-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-15946/desktopcouch-1.0.8-1.fc20
then log in and leave karma (feedback).
Comment 9 Fedora Update System 2013-09-16 20:25:47 EDT
desktopcouch-1.0.8-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2013-09-16 20:31:51 EDT
desktopcouch-1.0.8-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2013-09-22 20:42:07 EDT
desktopcouch-1.0.8-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.